#ifndef FONTS_H
#define FONTS_H

#include <QFont>

// Fonts (automatically scaled on window resize)

extern QFont garamond_6pt;
extern QFont garamond_7pt;
extern QFont garamond_8pt;
extern QFont garamond_9pt;
extern QFont garamond_10pt;
extern QFont garamond_11pt;
extern QFont garamond_12pt;
extern QFont garamond_13pt;
extern QFont garamond_14pt;
extern QFont garamond_15pt;
extern QFont garamond_16pt;

extern QFont trajan_6pt;
extern QFont trajan_7pt;
extern QFont trajan_8pt;
extern QFont trajan_9pt;
extern QFont trajan_10pt;
extern QFont trajan_11pt;
extern QFont trajan_12pt;

extern QFont crimson_6pt;
extern QFont crimson_7pt;
extern QFont crimson_8pt;
extern QFont crimson_9pt;
extern QFont crimson_10pt;
extern QFont crimson_11pt;
extern QFont crimson_12pt;
extern QFont crimson_13pt;
extern QFont crimson_14pt;
extern QFont crimson_15pt;
extern QFont crimson_16pt;

// Font sizes

const double default_pixels_in_16_pt = 26;//14;
const double default_pixels_in_15_pt = 24;//14;
const double default_pixels_in_14_pt = 23;//14;
const double default_pixels_in_13_pt = 21;//14;
const double default_pixels_in_12_pt = 20;//14;
const double default_pixels_in_11_pt = 18;//13;
const double default_pixels_in_10_pt = 17;//12;
const double default_pixels_in_9_pt = 16;//11;
const double default_pixels_in_8_pt = 14;//9;
const double default_pixels_in_7_pt = 12;//8;
const double default_pixels_in_6_pt = 10;//7;

extern int pixels_in_16_pt;
extern int pixels_in_15_pt;
extern int pixels_in_14_pt;
extern int pixels_in_13_pt;
extern int pixels_in_12_pt;
extern int pixels_in_11_pt;
extern int pixels_in_10_pt;
extern int pixels_in_9_pt;
extern int pixels_in_8_pt;
extern int pixels_in_7_pt;
extern int pixels_in_6_pt;

void constructFonts();

void updateFonts(double coefficient);

#endif // FONTS_H
