#ifndef LEGACYAPPLICATION_H
#define LEGACYAPPLICATION_H

#include <QApplication>
#include <QThread>

#include "models/lotrodatmanager.h"
#include "models/patchlist.h"
#include "widgets/mainwindow.h"

class LegacyApplication : public QApplication
{
public:
    LegacyApplication(int &argc, char** argv);

    bool init();

private:
    LotroDatManager *lotro_dat_manager;
    QThread *lotro_dat_manager_thread;

    PatchList *patch_list;

    MainWindow *gui;
};

#endif // LEGACYAPPLICATION_H
